gnutls_certificate_server_set_request(3)

NAME
gnutls_certificate_server_set_request - Used to set whether to request a client certificate

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_certificate_server_set_request(gnutls_session_t session, gnutls_certificate_request_t req);

ARGUMENTS

gnutls_session_t session
    is an gnutls_session_t structure.

gnutls_certificate_request_t req
    is one of GNUTLS_CERT_REQUEST, GNUTLS_CERT_REQUIRE

DESCRIPTION
This function specifies if we (in case of a server) are going to send a certificate request message to the client. If req is GNUTLS_CERT_REQUIRE then the server will return an error if the peer does not provide a certificate. If you do not call this function then the client will not be asked to send a certificate.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.